import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional()
}).strict();
export const BackupDestinationAvgAggregateInputObjectSchema: z.ZodType<Prisma.BackupDestinationAvgAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.BackupDestinationAvgAggregateInputType>;
export const BackupDestinationAvgAggregateInputObjectZodSchema = makeSchema();
